orm

## Class ActividadDAO

- java.lang.Object
- - orm.ActividadDAO

    public class ActividadDAO
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ActividadDAO()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Actividad` `createActividad()`
`static boolean` `delete(Actividad actividad)`
`static boolean` `deleteAndDissociate(Actividad actividad)`
`static boolean` `deleteAndDissociate(Actividad actividad, org.orm.PersistentSession session)`
`static boolean` `evict(Actividad actividad)`
`static Actividad` `getActividadByORMID(int id_pk)`
`static Actividad` `getActividadByORMID(int id_pk, org.hibernate.LockMode lockMode)`
`static Actividad` `getActividadByORMID(org.orm.PersistentSession session, int id_pk)`
`static Actividad` `getActividadByORMID(org.orm.PersistentSession session, int id_pk, org.hibernate.LockMode lockMode)`
`static java.util.Iterator` `iterateActividadByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static java.util.Iterator` `iterateActividadByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.Iterator` `iterateActividadByQuery(java.lang.String condition, java.lang.String orderBy)`
`static java.util.Iterator` `iterateActividadByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Actividad[]` `listActividadByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static Actividad[]` `listActividadByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Actividad[]` `listActividadByQuery(java.lang.String condition, java.lang.String orderBy)`
`static Actividad[]` `listActividadByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Actividad` `loadActividadByORMID(int id_pk)`
`static Actividad` `loadActividadByORMID(int id_pk, org.hibernate.LockMode lockMode)`
`static Actividad` `loadActividadByORMID(org.orm.PersistentSession session, int id_pk)`
`static Actividad` `loadActividadByORMID(org.orm.PersistentSession session, int id_pk, org.hibernate.LockMode lockMode)`
`static Actividad` `loadActividadByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static Actividad` `loadActividadByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Actividad` `loadActividadByQuery(java.lang.String condition, java.lang.String orderBy)`
`static Actividad` `loadActividadByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.List` `queryActividad(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static java.util.List` `queryActividad(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.List` `queryActividad(java.lang.String condition, java.lang.String orderBy)`
`static java.util.List` `queryActividad(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static boolean` `refresh(Actividad actividad)`
`static boolean` `save(Actividad actividad)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ActividadDAO

    public ActividadDAO()

### Method Detail

#### loadActividadByORMID

    public static Actividad loadActividadByORMID(int id_pk)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getActividadByORMID

    public static Actividad getActividadByORMID(int id_pk)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadActividadByORMID

    public static Actividad loadActividadByORMID(int id_pk,
                                                 org.hibernate.LockMode lockMode)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getActividadByORMID

    public static Actividad getActividadByORMID(int id_pk,
                                                org.hibernate.LockMode lockMode)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadActividadByORMID

    public static Actividad loadActividadByORMID(org.orm.PersistentSession session,
                                                 int id_pk)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getActividadByORMID

    public static Actividad getActividadByORMID(org.orm.PersistentSession session,
                                                int id_pk)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadActividadByORMID

    public static Actividad loadActividadByORMID(org.orm.PersistentSession session,
                                                 int id_pk,
                                                 org.hibernate.LockMode lockMode)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getActividadByORMID

    public static Actividad getActividadByORMID(org.orm.PersistentSession session,
                                                int id_pk,
                                                org.hibernate.LockMode lockMode)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryActividad

    public static java.util.List queryActividad(java.lang.String condition,
                                                java.lang.String orderBy)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryActividad

    public static java.util.List queryActividad(java.lang.String condition,
                                                java.lang.String orderBy,
                                                org.hibernate.LockMode lockMode)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listActividadByQuery

    public static Actividad[] listActividadByQuery(java.lang.String condition,
                                                   java.lang.String orderBy)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listActividadByQuery

    public static Actividad[] listActividadByQuery(java.lang.String condition,
                                                   java.lang.String orderBy,
                                                   org.hibernate.LockMode lockMode)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryActividad

    public static java.util.List queryActividad(org.orm.PersistentSession session,
                                                java.lang.String condition,
                                                java.lang.String orderBy)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryActividad

    public static java.util.List queryActividad(org.orm.PersistentSession session,
                                                java.lang.String condition,
                                                java.lang.String orderBy,
                                                org.hibernate.LockMode lockMode)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listActividadByQuery

    public static Actividad[] listActividadByQuery(org.orm.PersistentSession session,
                                                   java.lang.String condition,
                                                   java.lang.String orderBy)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listActividadByQuery

    public static Actividad[] listActividadByQuery(org.orm.PersistentSession session,
                                                   java.lang.String condition,
                                                   java.lang.String orderBy,
                                                   org.hibernate.LockMode lockMode)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadActividadByQuery

    public static Actividad loadActividadByQuery(java.lang.String condition,
                                                 java.lang.String orderBy)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadActividadByQuery

    public static Actividad loadActividadByQuery(java.lang.String condition,
                                                 java.lang.String orderBy,
                                                 org.hibernate.LockMode lockMode)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadActividadByQuery

    public static Actividad loadActividadByQuery(org.orm.PersistentSession session,
                                                 java.lang.String condition,
                                                 java.lang.String orderBy)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadActividadByQuery

    public static Actividad loadActividadByQuery(org.orm.PersistentSession session,
                                                 java.lang.String condition,
                                                 java.lang.String orderBy,
                                                 org.hibernate.LockMode lockMode)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateActividadByQuery

    public static java.util.Iterator iterateActividadByQuery(java.lang.String condition,
                                                             java.lang.String orderBy)
                                                      throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateActividadByQuery

    public static java.util.Iterator iterateActividadByQuery(java.lang.String condition,
                                                             java.lang.String orderBy,
                                                             org.hibernate.LockMode lockMode)
                                                      throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateActividadByQuery

    public static java.util.Iterator iterateActividadByQuery(org.orm.PersistentSession session,
                                                             java.lang.String condition,
                                                             java.lang.String orderBy)
                                                      throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateActividadByQuery

    public static java.util.Iterator iterateActividadByQuery(org.orm.PersistentSession session,
                                                             java.lang.String condition,
                                                             java.lang.String orderBy,
                                                             org.hibernate.LockMode lockMode)
                                                      throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### createActividad

    public static Actividad createActividad()

#### save

    public static boolean save(Actividad actividad)
                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### delete

    public static boolean delete(Actividad actividad)
                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### deleteAndDissociate

    public static boolean deleteAndDissociate(Actividad actividad)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### deleteAndDissociate

    public static boolean deleteAndDissociate(Actividad actividad,
                                              org.orm.PersistentSession session)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### refresh

    public static boolean refresh(Actividad actividad)
                           throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### evict

    public static boolean evict(Actividad actividad)
                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`